@echo off

cd workdir

call validate_iffxiso.bat


rem this is mainly for extracting 'ffx.hdr', but two validations are better than one
fcopy.exe -e "%iffxiso%"  ffx.hdr 0x8c000  131072
diff --binary -q          ffx.hdr ffx.hdr.eu  >NUL
if errorlevel 1  echo ERROR: Header of "%iffxiso%" not match english PAL (SCES_504.90) version

bcmp.exe  -o1  0x8c000  "%iffxiso%"   ffx.hdr.eu  131072
if not %ERRORLEVEL% == 0 echo ERROR: Header of "%iffxiso%" not match english PAL (SCES_504.90) version


echo -----------------------------------------------
echo Done checking header (no error above = all ok)!
echo -----------------------------------------------

pause
exit
